
Application: gvSIG desktop - gvSIG add-on requests #1549
Add OpenCADTools plugin v 1.12-1418
01/10/2013 08:37 PM - Francisco Puga

Status: Closed Start date: 01/10/2013
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Add-on name: Unknown Add-on code: opencadtools
Add-on operation requested:Add to add-ons repository
Description

I attach the index package for upload this plugin to the add-ons repository

History
#1 - 01/11/2013 11:21 AM - Joaquín  del Cerro Murciano

Ahora mismo, tenemos un problema de acceso los servidores, en cuanto este solucionado, espero que en breve, lo añadiremos al repo de la 1.12.

#2 - 01/11/2013 02:30 PM - Manuel Madrid

I would appreciate if you can provide some information about the testing process, specially regarding:
- Confirmation/validation of bugfixes
- Installation test

Thanks,
Manuel.

#3 - 01/16/2013 11:00 AM - Francisco Puga

    -  testing process
We don't have a testing plan. We check the common features, and push a request for bugs on the mailing lists.
http://osgeo-org.1560.n6.nabble.com/OpenCADTools-Request-For-Testing-td5024844.html
http://osgeo-org.1560.n6.nabble.com/OpenCADTools-Request-For-Testing-td5024845.html

    -  Installation test
I never work with a gvspki, so we didn't test it, and we don't know how to test it.

We use the ad-dons manager on a clean installation of gvSGIG 1.12 to install the gvspkg referenced in the gvspki and it works.

    -  Confirmation/validation of bugfixes
Not sure about what are you referring about. We try to keep our bugtracker up to date 
https://github.com/opencadtools/opencadtools

#4 - 01/29/2013 12:25 PM - Joaquín  del Cerro Murciano

Hola Fran,
al final el jueves pasado volvimos a tener acceso a los servidores y el viernes intente publicar el plugin.
http://osgeo-org.1560.n6.nabble.com/OpenCADTools-Request-For-Testing-td5024844.html
http://osgeo-org.1560.n6.nabble.com/OpenCADTools-Request-For-Testing-td5024845.html
https://github.com/opencadtools/opencadtools


Me a dado algunos dolores de cabeza, ya que los scripts que usamos esperan que el fichero se llame como toca y este no se llamaba correctamente.
Al final descargue el gvspkg y rehice el paquete.

Asumi, por lo que vi en el paquete, que la version del plugin era la 1.12.0 build 1418.

Para que funcione correctamente he acabado llamando al paquete:

gvSIG-desktop-1.12.0-com.iver.cit.gvsig.cad-1.12.0-opencadtools-1418-final-all-all-j1_6.gvspkg

El paquete no puede llamarse opencadtools ya que el plugin no se llama asi ya que es el plugin de edicion.

Al final añadi "opencadtools" como clasificador en la version.

Si no te parece adecuado podemos ver de discutir si tenemos otras alternativas, este es un caso extraño ya que no es un plugin nuevo si no que
estas sustituyendo a otro plugin.

Respeto a la generacion del gvspki y gvspkg asi a bote pronto, salvo por el problema con el nombre, parece correcto, con lo que si te parece correcto
el nombre la forma de entregar actualizaciones del paquete puede ser como lo has hecho ahora pero con el nombre correcto.

En 
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/como-contribuir-en-gvsig/proyectos-oficiales-en-gvsig/nombrado-de-binarios-para-un-plu
in-de-gvsig hay una pequeña descripcion sobre el nombrado de los binarios para un plugin de gvSIG. Es anterior a la adopcion del sistema de
paquetes con lo que esta algo desfasado, pero explica lo que son cada una de las partes del nombre de paquete.

Cuando tenga un ratito veo de mirar el de los geoprocesos.

Un saludo
Joaquin

#5 - 02/01/2013 01:33 PM - Francisco Puga

Hola,

Gracias por el trabajo.

He consultado con el resto de los desarrolladores [1] y no vemos inconveniente.

Pensé que el nombre del fichero era más un convenio para los plugins oficiales que algo hard-coded para que fucnionara el instalador. Al final de [1]
también explico el criterio de versiones empleado.

[1] http://joinup.ec.europa.eu/software/opencadtools/topic/opencadtools-devel-release-opencadtools

#6 - 07/17/2013 10:55 AM - Joaquín  del Cerro Murciano
- Status changed from New to Closed

Files
opencadtools-1.12.0-1418.gvspki 488 Bytes 01/10/2013 Francisco Puga
